## GdauiForm GdauiForm — Form widget to manipulate data in a GdaDataModel, with decorations |

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkWidget * | gdaui_form_new ()

## Properties

GdauiDataProxyInfo * | info | Read
GdauiDataProxyInfoFlag | info-flags | Read / Write
GdaDataModel * | model | Read / Write / Construct Only
GdauiRawForm * | raw-form | Read

## Types and Values

struct | GdauiForm

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GdauiForm

## Implemented Interfaces

GdauiForm implements AtkImplementorIface, GtkBuildable, GtkOrientable, GdauiDataProxy and GdauiDataSelector.

## Includes

    #include <libgda/thread-wrapper/gda-thread-wrapper.h>

## Description

## Functions

### gdaui_form_new ()

    GtkWidget *
    gdaui_form_new (GdaDataModel *model);

Creates a new GdauiForm widget suitable to display the data in `model`

#### Parameters

model | a GdaDataModel |

#### Returns

the new widget.

[transfer full]

Since: 4.2

## Types and Values

### struct GdauiForm

    struct GdauiForm;

## Property Details

### The `“info”` property

      “info”                     GdauiDataProxyInfo *

Flags: Read

### The `“info-flags”` property

      “info-flags”               GdauiDataProxyInfoFlag

Flags: Read / Write

Default value: GDAUI_DATA_PROXY_INFO_CURRENT_ROW

### The `“model”` property

      “model”                    GdaDataModel *

Flags: Read / Write / Construct Only

### The `“raw-form”` property

      “raw-form”                 GdauiRawForm *

Flags: Read

## See Also

The GdauiRawForm widget which is used by the GdaForm widget.